// 移动窗口位置
export function moveWindow(e, el, firstLayerX, firstLayerY, firstScrollX, firstScrollY) {
  // X轴
  let moveX = e.pageX - firstLayerX;
  if (moveX > firstScrollX - 100) {
    moveX = firstScrollX - 100;
  }
  if (moveX < 100 - el.offsetWidth) {
    moveX = 100 - el.offsetWidth;
  }
  // Y轴

  let moveY = e.pageY - firstLayerY;
  if (moveY > firstScrollY - 25) {
    moveY = firstScrollY - 25;
  }
  if (moveY < 0) {
    moveY = 0;
  }
  let obj = { moveX, moveY }
  return obj
}

// 页面尺寸变化和打开窗口时的窗口位置
export function windowResize(el) {
  console.log(el)
  let elTop, elLeft
  if (el.offsetTop < 0) {
    elTop = 0
  } else {
    if (
      document.documentElement.scrollHeight <
      el.offsetHeight + el.offsetTop &&
      document.documentElement.scrollHeight > el.offsetHeight
    ) {
      let top = document.documentElement.scrollHeight - el.offsetHeight;
      elTop =
        top + "px";
      if (top < 0) {
        elTop = 0;
      }
    } else if (
      document.documentElement.scrollHeight >
      el.offsetHeight
    ) {
      elTop =
        (document.documentElement.scrollHeight - el.offsetHeight) / 2 + 'px'
    } else if (
      document.documentElement.scrollHeight < el.offsetHeight
    ) {
      elTop = 0;
    }
  }
  if (el.offsetLeft < 0) {
    elLeft = 0
  }else{
    if (
      document.documentElement.scrollWidth <
      el.offsetWidth + el.offsetLeft &&
      document.documentElement.scrollWidth > el.offsetWidth
    ) {
      let left = document.documentElement.scrollWidth - el.offsetWidth;
      elLeft =
        left + "px";
      console.log(left);
      if (left < 0) {
        elLeft = 0;
      }
    } else if (
      document.documentElement.scrollWidth >
      el.offsetWidth
    ) {
      elLeft = (document.documentElement.scrollWidth -
        el.offsetWidth) / 2 + 'px'
    } else if (document.documentElement.scrollWidth < el.offsetWidth) {
      elLeft = 0;
    }
  }
  console.log(
    document.documentElement.scrollWidth,
    document.documentElement.scrollHeight,
    el.offsetHeight,
    el.offsetWidth
  );
  console.log(elTop, elLeft)
  return { elTop, elLeft }
}

// 窗口恢复大小时的窗口位置
export function restoreWindowResize(el,restoreTop,restoreLeft){
  console.log(el)
  let elTop, elLeft
  if (typeof restoreTop === "string") {
    if (
      document.documentElement.scrollHeight >=
      el.offsetHeight + parseFloat(restoreTop.replace("px", ""))
    ) {
      elTop = restoreTop;
    } else if (document.documentElement.scrollHeight >= el.offsetHeight) {
      elTop =
        document.documentElement.scrollHeight - el.offsetHeight + "px";
    } else if (document.documentElement.scrollHeight < el.offsetHeight) {
      elTop = 0;
    }
  }
  if (typeof restoreLeft === "string") {
    if (
      document.documentElement.scrollWidth >=
      el.offsetWidth + parseFloat(restoreLeft.replace("px", ""))
    ) {
      elLeft = restoreLeft;
    } else if (document.documentElement.scrollWidth >= el.offsetWidth) {
      elLeft =
        document.documentElement.scrollWidth - el.offsetWidth + "px";
    } else if (document.documentElement.scrollWidth < el.offsetWidth) {
      elLeft = 0;
    }
  }
  // if (
  //   typeof elTop === "string" &&
  //   parseFloat(elTop.replace("px", "")) < 0
  // ) {
  //   elTop = 0;
  // }
  // if (
  //   typeof elLeft === "string" &&
  //   parseFloat(elLeft.replace("px", "")) < 0
  // ) {
  //   elLeft = 0;
  // }
  console.log(elTop, elLeft)
  return { elTop, elLeft }
}